Package org.apache.sysds.runtime.instructions.spark.functions

## Class FilterNonEmptyBlocksFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.FilterNonEmptyBlocksFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​Boolean>`

    public class FilterNonEmptyBlocksFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​Boolean>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FilterNonEmptyBlocksFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterNonEmptyBlocksFunction

    public FilterNonEmptyBlocksFunction()

### Method Detail

#### call

    public Boolean call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg0)
                 throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​Boolean>`
Throws:
  `Exception`